<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| IP Autoban
| Version 1.3.1
| Filename: autoban_admin.php
| Author: Pisatel
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

  include "../../maincore.php";

  if (!checkrights("IAB") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

require_once THEMES."templates/admin_header.php";

  include INFUSIONS."autoban_panel/infusion_db.php";

if (file_exists(INFUSIONS."autoban_panel/locale/".$settings['locale'].".php")) {
 
 include INFUSIONS."autoban_panel/locale/".$settings['locale'].".php";
} else {
 
 include INFUSIONS."autoban_panel/locale/English.php";
}

  $nav = "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:400px; margin-bottom:20px; text-align:center;'>\n<tr><td class='tbl2'>\n";
  $nav .="<div id='navigation'><ul style='overflow:hidden;'>\n";
  $nav .= "<li class='".(!isset($_GET['page']) ? "current-link" : "first-link")."' style='display:inline-block;'><a href='".FUSION_SELF.$aidlink."'>".$locale['all_settings']."</a></li>\n";
  if (iSUPERADMIN){
  $nav .= "<li class='".(isset($_GET['page']) && $_GET['page'] == "htaccess" ? "current-link" : "first-link")."' style='display:inline-block;'><a href='".FUSION_SELF.$aidlink."&amp;page=htaccess'>".$locale['ht_settings']."</a></li>\n";
}
  $nav .= "<li class='".(isset($_GET['page']) && $_GET['page'] == "banlist" ? "current-link" : "first-link")."' style='display:inline-block;'><a href='".FUSION_SELF.$aidlink."&amp;page=banlist'>".$locale['ban_settings']."</a></li>\n";
  $nav .="</ul></div>\n";
  $nav .= "</td></tr>\n</table>\n";

  $table_empty = "<td align='center' class='tbl2'>".$locale['table_empty']."</td>\n";
//banlist

  if (isset($_GET['page']) && $_GET['page'] != "htaccess" && $_GET['page'] == "banlist") {

if (isset($_GET['status']) && !isset($message)) {
  if ($_GET['status'] == "delban") {
   $message = $locale['ban_deleted'];
  }
  if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
 } elseif ((isset($_GET['action']) && $_GET['action'] == "deleteban")) {
  $result = dbquery("DELETE FROM ".DB_BLACK_LIST_IP);
  redirect(FUSION_SELF.$aidlink."&amp;page=banlist&amp;status=delban");
 }

  echo $nav;
  opentable($locale['ban_table']);
   $rows = dbcount("(ban_id)", DB_BLACK_LIST_IP);
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
    $i = 0;

  $result = dbquery("SELECT ban_ip, ban_datestamp FROM ".DB_BLACK_LIST_IP." ORDER BY ban_id DESC LIMIT ".$_GET['rowstart'].",100");

   echo "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:90%; margin-bottom:20px; text-align:center;'>\n<tr>\n";
  
  if (!dbrows($result)){
  echo $table_empty;
} else {
  echo "<td class='tbl2 tbl-border' style='width:50%; text-align:center;'><strong>".$locale['ban_date']."</strong></td>\n";
  echo "<td class='tbl2 tbl-border' style='width:50%; text-align:center;'><strong>".$locale['ban_ip']."</strong></td></tr><br />\n";
 while ($data = dbarray($result)){
echo "<tr><td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."' style='width:50%; text-align:center;'>".showdate("%d %b %Y %T", $data['ban_datestamp'])."</td>\n";
  echo "<td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."' style='width:50%; text-align:left;'>".$data['ban_ip']."</td></tr>\n";
  $i++;
  }
  echo "<tr><td class='tbl2' colspan='2' style='text-align:right;'>\n";
  echo "<a class='button' href='".FUSION_SELF.$aidlink."&amp;page=banlist&amp;action=deleteban' onclick=\"return confirm('".$locale['ban_warning_delete']."');\">".$locale['ban_delete']."</a>\n<br />\n";
}
  if ($rows > 100){
  echo "<div align='center' style='margin:5px auto;'>\n".makePageNav($_GET['rowstart'],100,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
}
  echo "</td>\n</tr>\n";
  echo "</table>\n";

  closetable();
}

//htaccess

  elseif (isset($_GET['page']) && $_GET['page'] != "banlist" && $_GET['page'] == "htaccess"){
  if (iSUPERADMIN){
  
function openFile($file, $mode, $input = "") {
 if ($mode == "READ") {
  if (file_exists($file)) {
   $handle = fopen($file, "rb");
   $output = fread($handle, filesize($file));
   return $output; // output file text
  } else {
   return false; // failed.
  }
 } elseif ($mode == "WRITE") {
  $handle = fopen($file, "wb");
  if (!fwrite($handle, $input)) {
  return false; // failed.
  } else {
  return true; //success.
  }
 } else {
  return false; // failed.
 }
 fclose($handle);
}

if (isset($_GET['status']) && !isset($message)) {
 if ($_GET['status'] == "suht") {
  $message = $locale['ht412'];
 } elseif ($_GET['status'] == "seht") {
  $message = $locale['ht413']."<br />\n";
  switch ($_GET['error']) {
   case 1:
    $message .= "<span class='small'>".$locale['ht414']."</span>";
   break;
   case 2:
    $message .= "<span class='small'>".$locale['ht415']."</span>";
   break;
  }
 }
 if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['save_htaccess']) && (iSUPERADMIN)) {
 $error = 0;
 $file = BASEDIR.".htaccess";
 $htaccess_content = $_POST['htaccess_content'];
 if (!is_writable($file)) {
  $error = 1;
 }
 if ($error == 0) {
  if(openFile($file, "WRITE", stripslash($htaccess_content))) {
   redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=suht");
  } else {
   redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=seht&amp;error=2");
  }
 } else {
  redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=seht&amp;error=".$error);
 }
}

if (isset($_POST['set_default'])) {
 $error = 0;
 $file = BASEDIR.".htaccess";
 $htaccess_content = "#ErrorDocument 404 /404.php\n";
 $htaccess_content .= "#ErrorDocument 403 /403.php\n";
 $htaccess_content .= "#Options -Indexes\n";

 if (!is_writable($file)) {
  $error = 1;
 }
 if ($error == 0) {
  if(openFile($file, "WRITE", $htaccess_content)) {
   redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=suht");
  } else {
   redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=seht&amp;error=3");
  }
 } else {
  redirect(FUSION_SELF.$aidlink."&amp;page=htaccess&amp;status=seht&amp;error=".$error);
 }
}

  echo $nav;
opentable($locale['ht400']);
if (file_exists(BASEDIR.".htaccess")) {
 $file = BASEDIR.".htaccess";
 echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=htaccess'>\n";
 echo "<table class='tbl-border center' cellpadding='1' cellspacing='0' style='width:460px;'>\n";
 echo "<tr>\n";
 echo "<td class='tbl2' style='text-align:center;font-weight:bold;'>".$locale['ht420']."</td>\n";
 echo "</tr>\n<tr>\n";
 echo "<td class='tbl1' style='text-align:center;'>";
 echo "<textarea name='htaccess_content' class='textbox' rows='20' cols='40' style='width:100%;'>".openFile($file, "READ")."</textarea>";
 echo "</td>\n";
 echo "</tr>\n<tr>\n";
 echo "<td class='tbl1' style='text-align:center;'>";
 echo "<input type='submit' name='save_htaccess' class='button' value='".$locale['ht422']."' />\n";
 echo "<input type='submit' name='set_default' class='button' value='".$locale['ht423']."' onclick=\"return confirm('".$locale['ht410']."');\" />\n";
 echo "</td>\n";
 echo "</tr>\n";
 echo "</table>\n";
 echo "</form>\n";
} else {
 echo "<div class='admin-message'>".$locale['ht411']."</div>\n";
}
closetable();

} else {
  redirect(FUSION_SELF.$aidlink);

}
} else {

//visit ip

  if (isset($_GET['status']) && !isset($message)) {
  if ($_GET['status'] == "del") {
   $message = $locale['all_deleted'];
  }
  if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
 } elseif ((isset($_GET['action']) && $_GET['action'] == "delete")) {
  $result = dbquery("DELETE FROM ".DB_ALL_VISITS);
  redirect(FUSION_SELF.$aidlink."&status=del");
 }

  echo $nav;
  opentable($locale['all_table']);
   $rows = dbcount("(visit_id)", DB_ALL_VISITS);
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
    $i = 0;

  $result = dbquery("SELECT visit_ip, visit_datestamp FROM ".DB_ALL_VISITS."  ORDER BY visit_id DESC LIMIT ".$_GET['rowstart'].",100");

   echo "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:100%; margin-bottom:20px; text-align:center;'>\n<tr>\n";

  if (!dbrows($result)){
  echo $table_empty;
} else {
  echo "<td class='tbl2 tbl-border' style='width:50%; text-align:center;'><strong>".$locale['all_date']."</strong></td>\n";
  echo "<td class='tbl2 tbl-border' style='width:50%; text-align:center;'><strong>".$locale['all_ip']."</strong></td></tr><br />\n";
 while ($data = dbarray($result)){
  echo "<tr><td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."' style='width:50%; text-align:center;'>".showdate("%d %b %Y %T", $data['visit_datestamp'])."</td>\n";
  echo "<td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."' style='width:50%; text-align:left;'>".$data['visit_ip']."</td></tr>\n";
  $i++;
}
  echo "<tr><td class='tbl2' colspan='2' style='text-align:right;'>\n";

  $tablesize = dbquery("SHOW TABLE STATUS LIKE '".DB_ALL_VISITS."'");
  $item = dbarray($tablesize);
  $sum = $item['Data_length'] + $item['Index_length'];
 
  echo $locale['tablesize']."<strong>".parsebytesize($sum)."</strong> &nbsp; <a class='button' href='".FUSION_SELF.$aidlink."&amp;action=delete' onclick=\"return confirm('".$locale['all_warning_delete']."');\">".$locale['all_delete']."</a>\n<br />\n";
}
  if ($rows > 100){
  echo "<div align='center' style='margin:5px auto;'>\n".makePageNav($_GET['rowstart'],100,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
}
  echo "</td>\n</tr>\n";
  echo "</table>\n";
  closetable();
}


  require_once THEMES."templates/footer.php";

?>