<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| IP Autoban
| Version 1.3.1
| Filename: infusion.php
| Author: Pisatel
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

 include INFUSIONS."autoban_panel/infusion_db.php";


if (file_exists(INFUSIONS."autoban_panel/locale/".$settings['locale'].".php")) {
 
 include INFUSIONS."autoban_panel/locale/".$settings['locale'].".php";
} else {
 
 include INFUSIONS."autoban_panel/locale/Russian.php";
}


$inf_title = $locale['ban_title'];
$inf_description = $locale['ban_desc'];
$inf_version = "1.3.1";
$inf_developer = "Pisatel";
$inf_email = "admin@meweb.ru";
$inf_weburl = "http://www.meweb.ru";

$inf_folder = "autoban_panel";


$inf_newtable[1] = DB_ALL_VISITS." (
   visit_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
   visit_ip VARCHAR(45) NOT NULL DEFAULT '',
   visit_datestamp INT(11) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (visit_id)
   ) ENGINE=MyISAM;";


$inf_newtable[2] = DB_BLACK_LIST_IP." (
    ban_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
   ban_ip VARCHAR(45) NOT NULL DEFAULT '',
   ban_datestamp INT(11) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (ban_id)
   ) ENGINE=MyISAM;";

$inf_droptable[1] = DB_ALL_VISITS;
$inf_droptable[2] = DB_BLACK_LIST_IP;

$inf_adminpanel[1] = array(
 "title" => $locale['ban_title'],
 "image" => "image.gif",
 "panel" => "autoban_admin.php",
 "rights" => "IAB"
);


?>